# Generated by go2rpm
# Rounding errors
%ifarch x86_64
%bcond_without check
%endif

# https://github.com/gonum/gonum
%global goipath         gonum.org/v1/gonum
%global forgeurl        https://github.com/gonum/gonum
Version:                0.8.2

%gometa

%global common_description %{expand:
Gonum is a set of packages designed to make writing numerical and scientific
algorithms productive, performant, and scalable.

Gonum contains libraries for matrices and linear algebra; statistics,
probability distributions, and sampling; tools for function differentiation,
integration, and optimization; network creation and analysis; and more.}

%global golicenses      LICENSE THIRD_PARTY_LICENSES/Bogaert-LICENSE THIRD_PARTY_LICENSES/Boost-LICENSE THIRD_PARTY_LICENSES/Cephes-LICENSE THIRD_PARTY_LICENSES/Fike-LICENSE THIRD_PARTY_LICENSES/Go-LICENSE THIRD_PARTY_LICENSES/Oxford-LICENSE THIRD_PARTY_LICENSES/Probab-LICENSE THIRD_PARTY_LICENSES/Sun-LICENSE
%global godocs          AUTHORS CONDUCT.md CONTRIBUTING.md CONTRIBUTORS README.md README-*.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Set of numeric libraries for Go

# Upstream license specification: MIT and BSD-3-Clause and BSL-1.0
License:        MIT and BSD and Boost
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/exp/rand)
BuildRequires:  golang(golang.org/x/tools/container/intsets)

%if %{with check}
# Tests
BuildRequires:  golang(gonum.org/v1/plot)
BuildRequires:  golang(gonum.org/v1/plot/cmpimg)
BuildRequires:  golang(gonum.org/v1/plot/plotter)
BuildRequires:  golang(gonum.org/v1/plot/vg)
BuildRequires:  golang(gonum.org/v1/plot/vg/draw)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
for f in blas diff floats graph integrate lapack mat mathext optimize stat; do
  mv $f/README.md README-$f.md
done


%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Dec 22 06:55:48 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.2-1
- Update to 0.8.2
- Close: rhbz#1869091

* Wed Aug 05 14:31:27 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.0-1
- Update to 0.7.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Apr 25 14:54:51 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190624git2a1643c
- Initial package
